Bug 180205 - Review Request: gnome-menu-editor
Review Request: gnome-menu-editor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 14:31 EST by Damien Durand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 12:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2006-02-06 14:31:57 EST
Spec Name or Url: http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor.spec

SRPM Name or Url: http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor-0.5-1.src.rpm


Description: Gnome-menu-editor is a simple menu editor for GNOME in its early stages.
Comment 1 Wart 2006-02-06 14:37:02 EST
A couple of comments (this is not a formal review):

* Don't use the name/version/release defines at the top of the file.  Set the
values explicitly in the Name:, Version:, and Release: fields.  These implicitly
define %{name}, %{version}, and %{release} macros.

* Be consistent with your use of $RPM_BUILD_ROOT and %{buildroot}.  They both
evaluate to the same value.  Use one or the other in your specfile, but not both.

* Don't use the Package and Vedor tags, per the FE packaging guidelines.
Comment 3 Wart 2006-02-06 15:10:10 EST
It looks like you lost your %clean section in this latest package.  You should
also increment the release number for every package that you build, even during
this initial package review process.  It makes it easier for reviewers to track
changes between packages.

I get build errors on FC-5:

checking for GNOME_MENU_EDITOR_LIBS...
configure: error: Package requirements (glib-2.0 >= 2.4.0 gtk+-2.0 >= 2.4.0
gnome-vfs-2.0 libgnome-menu >= 2.11.1 libxml-2.0 >= 2.6.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the GNOME_MENU_EDITOR_CFLAGS and
GNOME_MENU_EDITOR_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.
error: Bad exit status from /var/tmp/rpm-tmp.11642 (%build)
Comment 4 Wart 2006-02-06 15:14:32 EST
Based on the contents of owners.list, this looks like your first package.  If
this is the case the you should add the FE-NEEDSPONSOR blocker bug.
Comment 5 Damien Durand 2006-02-06 15:55:43 EST
The specs file has been reorganised and packaged.

Spec Name or
Url:http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor.spec

SRPM Name or Url:
http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor-0.5-3.src.rpm

For compil this package, you must install gtk2-devel, gnome-vfs2, vte-devel
Comment 6 Brian Pepple 2006-02-06 16:10:56 EST
Couple of things:

1. You got ownership problems with your datadir files.
2. Most of your requires are unnecessary since the devel sonames should pull
them in.
3. Your missing the %clean section

I would suggest reading the Fedora Extras wiki fully, because a lot of these
issues are addressed there.  In addition, before anyone will sponser you, you've
got to demonstrate a good understanding of Fedora Extras packaging process &
requirements.

http://fedoraproject.org/wiki/Extras
Comment 7 Damien Durand 2006-02-07 14:10:26 EST
I have rewrited the spec file and build the package.

Spec Name or Url:
http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor.spec

SRPM Name or Url:
http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor-0.5-1.src.rpm

Comment 8 Brian Pepple 2006-02-07 14:26:04 EST
I think you need to review the documentation some more, because there's quite a
few items that still need to be addressed.

1. The package doesn't build.  http://fedoraproject.org/wiki/Projects/Mock
2. You need to handle the translations.
3. Ownership issues with %{_datadir} files.
4. Requires on gtk isn't needed.
5. Desktop file isn't handled.
Comment 9 Michael Schwendt 2006-02-10 10:35:46 EST
Missing at least BuildRequires: libxml2-devel gnome-vfs2-devel gnome-menus-devel

libgnome-menu >= 2.11.1 makes this for FC >= 5.

> BuildRequires:  gnome-vfs2

should be: gnome-vfs2-devel
Comment 10 Damien Durand 2006-02-10 15:59:47 EST
I have make the changes, no problem for build with mock.

Spec Name or Url:
http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor.spec

SRPM Name or Url:
http://glive.tuxfamily.org/fedora/gnome-menu-editor/gnome-menu-editor-0.5-2.fc5.src.rpm
Comment 11 Brian Pepple 2006-02-10 16:47:51 EST
You still haven't corrected problems 2,3, and 5 from comment #8.  Refer to wiki
on how to correctly handle the desktop file.  The spec file MUST handle locales
properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/*
is strictly forbidden.
Comment 12 Damien Durand 2006-02-10 17:55:52 EST
i have a problem with the desktop file. 

make[1]: Entering directory `/home/damien/rpmbuild/BUILD/gnome-menu-editor-0.5'
make[2]: Entering directory `/home/damien/rpmbuild/BUILD/gnome-menu-editor-0.5'
make[2]: Nothing to be done for `install-exec-am'.
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/home/damien/rpmbuild/BUILD/gnome-menu-editor-0.5'
make[1]: Leaving directory `/home/damien/rpmbuild/BUILD/gnome-menu-editor-0.5'
+ /usr/lib/rpm/redhat/find-lang.sh
/var/tmp/gnome-menu-editor-0.5-2.fc5-root-damien gnome-menu-editor
+ desktop-file-install --vendor fedora --dir
/var/tmp/gnome-menu-editor-0.5-2.fc5-root-damien/usr/share/applications
--add-category X-Fedora --delete-original
/var/tmp/gnome-menu-editor-0.5-2.fc5-root-damien/usr/share/applications/gnome-menu-editor.desktop
/var/tmp/gnome-menu-editor-0.5-2.fc5-root-damien/usr/share/applications/fedora-gnome-menu-editor.desktop:
error: value of key "OnlyShowIn" is a list of strings and must end with a semicolon
desktop-file-install created an invalid desktop file!
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.75066 (%install)


I don't understand, gnome-menu-editor have a .desktop, why remove this one and
creat a new ?
Comment 13 Brian Pepple 2006-02-10 18:22:40 EST
(In reply to comment #12)
> I don't understand, gnome-menu-editor have a .desktop, why remove this one and
> creat a new ?

We add the vendor & X-Fedora category to the file.  Refer to the wiki.
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
Comment 14 Brian Pepple 2006-02-10 18:30:28 EST
BTW, that error is due to an error in the desktop file included with the
tarball.  You need to create a patch to correct this, and should send it
upstream so that it can be fixed in future versions.  The reason this didn't
show up in your prior specs, is because you didn't use desktop-file-install,
which checks the desktop file for errors.
Comment 15 Michael Schwendt 2006-02-11 07:42:31 EST
desktop-file-install doesn't create the .desktop file from scratch.
It modifies the file you feed into it, then creates a file with a new
file name. You can run desktop-file-validate to verify a .desktop file
manually.
Comment 16 Hans de Goede 2006-06-08 05:35:42 EDT
Damien,

Are you still interested in this? Ifso it would be nice if you could provide a 
new SRPM which addresses the issues rased in the comments above.

Also in order to get sponsored you must first understand that things are
currently organised in FE in such a way that once you are sponsored you get full
CVS access to all packages. Thus having one good package ready for review
usually isn't enough to get you sponsored.

There are 2 ways to proceed from here for us (the FE community) to get to learn
you better:
1) You review a couple of packages from others see FE-NEW for a list of
   Review Requests that need a Reviewer, don't worry about not being competent
   enough todo a review, just add me to the CC-list and I'll watch over your 
   back.
2) Create some more packages and link to them from this BZ ticket.

Or (probably the best) a combination of these 2. What also helps is activity in
other Fedora projects such as translations etc.

And last but not least read the "howto become a contributer" "packaging
guidelines" and "review guidlines" wiki pages thoroughly first, judging from the
above comments you don't seem to have read those uptill now.

Shouldn't you respond within one week from now, I'll presume you have
lost interest into getting this package into FE and close this PR.
Comment 17 Hans de Goede 2006-06-16 13:32:14 EDT
Hmm, how did this end up as can'tfix anyways properly closing as wontfix since
more then a week has passed and removing the FE-NEW and FE-NEEDSPONSOR blocker bugs.

Note You need to log in before you can comment on or make changes to this bug.